---
title: 'Reason: expected ‘true’ in CORS header ‘Access-Control-Allow-Credentials’'
slug: Web/HTTP/CORS/Errors/CORSMIssingAllowCredentials
tags:
  - CORS
  - CORSMissingAllowCredentials
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: expected ‘true’ in CORS header ‘Access-Control-Allow-Credentials’</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The {{Glossary("CORS")}} request requires that the server permit the use of credentials, but the server's {{HTTPHeader("Access-Control-Allow-Credentials")}} header's value isn't set to <code>true</code> to enable their use.</p>

<p>To fix this problem on the client side, revise the code to not request the use of credentials.</p>

<ul>
 <li>If the request is being issued using {{domxref("XMLHttpRequest")}}, make sure you're not setting {{domxref("XMLHttpRequest.withCredentials", "withCredentials")}} to <code>true</code>.</li>
 <li>If using <a href="/en-US/docs/Web/API/Server-sent_events">Server-sent events</a>, make sure {{domxref("EventSource.withCredentials")}} is <code>false</code> (it's the default value).</li>
 <li>If using the <a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a>, make sure {{domxref("Request.credentials")}} is <code>"omit"</code>.</li>
</ul>

<p>To eliminate this error by changing the server's configuration, adjust the server's configuration to set the <code>Access-Control-Allow-Credentials</code> header's value to <code>true</code>.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
</ul>
